classification
Title: No SSL match_hostname() in poplib
Type: security Stage: resolved
Components: email, Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, christian.heimes, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-11-25 23:47 by christian.heimes, last changed 2013-12-02 19:11 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
check_poplib.patch christian.heimes, 2013-11-25 23:47 review
Messages (2)
msg204437 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-25 23:47
match_hostname patch for poplib (see #19509). The patch doesn't have tests yet.
msg205042 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-02 19:11
New changeset 1ce752754280 by Christian Heimes in branch 'default':
Issue #19784: poplib now supports SSLContext.check_hostname and server name
http://hg.python.org/cpython/rev/1ce752754280
History
Date User Action Args
2013-12-02 19:11:45christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-02 19:11:01python-devsetnosy: + python-dev
messages: + msg205042
2013-11-26 15:28:53r.david.murraysetnosy: + barry, r.david.murray
components: + email
2013-11-26 02:25:17Arfreversetnosy: + Arfrever
2013-11-25 23:48:56christian.heimeslinkissue19509 dependencies
2013-11-25 23:47:27christian.heimescreate